<?xml version="1.0" encoding="UTF-8"?>

<!-- IGAC proyecto SNC 

@author juan.agudelo		 
@description Bloquear predio
@cu CU-CO-R-06
@cu CU-NP-CO-077
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2 
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../templates/generalCU.xhtml">

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:messages id="msgsBP" showDetail="false" globalOnly="false" />

        <p:spacer height="9" width="0" />

        <p:tabView dynamic="true" cache="false" id="bloquearPredioTabView">

            <p:ajax event="tabChange" listener="#{bloqueoPredio.cambioTab}"
                    update="solDocFormUP, solDocFormUP:bloquearPredioForm3, solDocFormUP:bloquearPredioForm2, bloquearPredioForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            <p:tab title="Buscar predios marcados">
                <h:form id="bloquearPredioForm" prependId="false">

                    <p:fieldset toggleable="false">
                        <legend>
                            <h:outputText value="Datos de búsqueda" styleClass="legendTitle" />
                        </legend>

                        <p:spacer height="8" width="0" />

                        <h:panelGrid columns="10" cellspacing="7">

                            <h:panelGrid columns="2">
                                <h:outputLabel value="Departamento:"
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>

                            <h:panelGroup>
                                <h:panelGrid columns="3">
                                    <h:selectOneMenu id="busquedaPrediosBdepartamento"
                                                     label="Departamento" required="true"
                                                     requiredMessage="Debe elegir un departamento"
                                                     value="#{bloqueoPredio.selectedDepartamentoCod}">
                                        <f:selectItems value="#{bloqueoPredio.departamentosItemList}" />
                                        <p:ajax process="@this"
                                                oncomplete="funcionCambioDpto();statusDialog2.hide();"
                                                update="bloquearPredioForm"
                                                listener="#{bloqueoPredio.onChangeDepartamentos}"
                                                onstart="statusDialog2.show();" />
                                    </h:selectOneMenu>
                                    <p:message id="departamentoMsg"
                                               for="busquedaPrediosBdepartamento" display="icon" />
                                    <p:commandLink id="btnOrdenDepartamentos"
                                                   update="btnOrdenDepartamentos, busquedaPrediosBdepartamento"
                                                   title="Ordenar departamentos"
                                                   action="#{bloqueoPredio.cambiarOrdenDepartamentos}"
                                                   ajax="true" immediate="true">
                                        <p:graphicImage
                                            rendered="#{bloqueoPredio.departamentosOrderedByNombre}"
                                            style="border: none" value="/images/sortCode.png" />
                                        <p:graphicImage
                                            rendered="#{!bloqueoPredio.departamentosOrderedByNombre}"
                                            style="border: none" value="/images/sortText.png" />
                                    </p:commandLink>
                                </h:panelGrid>
                            </h:panelGroup>

                            <h:panelGrid columns="2"
                                         rendered="#{not empty bloqueoPredio.selectedDepartamentoCod}">
                                <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGroup>
                                <h:panelGrid columns="3"
                                             rendered="#{not empty bloqueoPredio.selectedDepartamentoCod}">
                                    <h:selectOneMenu id="busquedaPrediosBmunicipio"
                                                     label="Municipio" required="true"
                                                     requiredMessage="Debe elegir un municipio"
                                                     value="#{bloqueoPredio.selectedMunicipioCod}">
                                        <f:selectItems value="#{bloqueoPredio.municipiosItemList}" />
                                        <p:ajax process="@this" oncomplete="funcionCambioMunicipio()" />
                                    </h:selectOneMenu>
                                    <p:message id="municipioMsg" for="busquedaPrediosBmunicipio"
                                               display="icon" />
                                    <p:commandLink id="btnOrdenMunicipios"
                                                   update="btnOrdenMunicipios, busquedaPrediosBmunicipio"
                                                   title="Ordenar municipios"
                                                   action="#{bloqueoPredio.cambiarOrdenMunicipios}" ajax="true"
                                                   immediate="true">
                                        <p:graphicImage
                                            rendered="#{bloqueoPredio.municipiosOrderedByNombre}"
                                            style="border: none" value="/images/sortCode.png" />
                                        <p:graphicImage
                                            rendered="#{!bloqueoPredio.municipiosOrderedByNombre}"
                                            style="border: none" value="/images/sortText.png" />
                                    </p:commandLink>
                                </h:panelGrid>

                            </h:panelGroup>
                        </h:panelGrid>

                        <h:panelGrid columns="3">

                            <ui:include src="numeroPredialConFormato.xhtml">
                                <ui:param name="objetoContenedorNumeroPredialParam"
                                          value="#{bloqueoPredio.filtroCPredioB}" />
                                <ui:param name="idParam" value="busquedaPrediosB" />
                                <ui:param name="formPIdParam" value="bloquearPredioTabView" />
                            </ui:include>

                            <p:outputPanel layout="block" style="text-align:right">

                                <p:spacer height="0" width="7" />
                                <p:commandButton value="Buscar" action="#{bloqueoPredio.buscar}"
                                                 id="btnBuscar" update="bloquearPredioForm, res, :msgsBP"
                                                 icon="ui-icon-search" onstart="statusDialog2.show();"
                                                 oncomplete="statusDialog2.hide();" />
                                <p:spacer height="0" width="60" />

                            </p:outputPanel>
                        </h:panelGrid>
                        <p:spacer height="7" width="0" />

                    </p:fieldset>

                    <p:spacer width="0" height="15" />

                    <p:dataTable value="#{bloqueoPredio.lazyAssignedBloqueos}"
                                 var="currentBloqueo" id="res" widgetVar="res" paginator="true"
                                 rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                                 emptyMessage="No se encontraron predios marcados"
                                 rendered="#{bloqueoPredio.banderaBuscar}"
                                 rowKey="#{currentBloqueo.predio.id}">

                        <f:facet name="header">  
                            Resultados de la búsqueda de predios marcados
                        </f:facet>

                        <p:column>
                            <f:facet name="header">
                                Número predial								
                            </f:facet>

                            <p:commandLink value="#{currentBloqueo.predio.numeroPredial}"
                                           process="@this" update=":dpCC:detallesPredioTV"
                                           styleClass="commandLinkStyle"
                                           oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                                           onstart="statusDialog2.show()"
                                           action="#{consultaPredio.cleanAllMB}">
                                <f:setPropertyActionListener
                                    target="#{consultaPredio.selectedPredioId}"
                                    value="#{currentBloqueo.predio.id}" />
                            </p:commandLink>

                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Tipo marcación								
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.tipoBloqueo}">
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha inicial								
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.fechaInicioBloqueo}">
                                <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                                   locale="es_CO" timeZone="GMT-5:00"/>
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha final							
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.fechaTerminaBloqueo}">
                                <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                                   locale="es_CO" timeZone="GMT-5:00"/>
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Fecha de desmarque							
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.fechaDesbloqueo}">
                                <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                                   locale="es_CO" timeZone="GMT-5:00" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Motivo marcación								
                            </f:facet>
                            <h:outputText value="#{currentBloqueo.motivoBloqueo}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                Documento de soporte								
                            </f:facet>

                            <p:commandLink
                                value="#{currentBloqueo.documentoSoporteBloqueo.archivo}"
                                update=":docVDocSoporte:docViewerCCForm"
                                styleClass="commandLinkStyle"
                                oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                                onstart="statusDialog2.show()"
                                rendered="#{not empty currentBloqueo.documentoSoporteBloqueo.archivo}">
                                <f:setPropertyActionListener
                                    target="#{previsualizacionDocumento.documentoAlfresco}"
                                    value="#{currentBloqueo.documentoSoporteBloqueo}" />

                                <f:setPropertyActionListener
                                    target="#{bloqueoPredio.documentoTemporalAVisualizar}"
                                    value="#{currentBloqueo.documentoSoporteBloqueo}" />
                            </p:commandLink>

                        </p:column>

                    </p:dataTable>
                </h:form>
            </p:tab>

            <p:tab id="bloquearPrediosTab" title="Marcar predios">
                <h:form id="solDocFormUP" prependId="false">
                    <p:fieldset id="bloquearPredioForm2" toggleable="false">
                        <legend>
                            <h:outputText value="Elegir marcación" styleClass="legendTitle" />
                        </legend>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de marcación "
                                           styleClass="outputLabelStyle" />

                            <h:selectOneRadio value="#{bloqueoPredio.tipoBloqueo}">
                                <f:selectItem itemLabel="Individual" itemValue="0" />
                                <f:selectItem itemLabel="Por rangos" itemValue="1" />
                                <f:selectItem itemLabel="Masivo" itemValue="2" />
                                <p:ajax update="solDocFormUP, fInicial1, fs2, fs4"
                                        listener="#{bloqueoPredio.bloquearV}"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />
                            </h:selectOneRadio>
                        </h:panelGrid>

                    </p:fieldset>

                    <p:spacer height="7" width="0" />

                    <p:fieldset id="bloquearPredioForm3" toggleable="false"
                                rendered="#{!bloqueoPredio.laBandera}">
                        <legend>
                            <h:outputText value="Datos de la marcación" styleClass="legendTitle" />
                        </legend>

                        <p:fieldset id="fs4" rendered="#{!bloqueoPredio.tipoBloqueo2}"
                                    style="border:0px">

                            <h:panelGrid columns="10" cellspacing="5"
                                         rendered="#{bloqueoPredio.tipoBloqueo0}">

                                <p:spacer height="0" width="7" />

                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Departamento:"
                                                   styleClass="outputLabelStyle" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                                </h:panelGrid>

                                <h:panelGroup>
                                    <h:panelGrid columns="4">
                                        <h:selectOneMenu id="bloqueoPrediosBdepartamento"
                                                         label="Departamento" required="true"
                                                         value="#{bloqueoPredio.selectedDepartamentoCod}">
                                            <f:selectItems value="#{bloqueoPredio.departamentosItemList}" />
                                            <p:ajax process="@this"
                                                    oncomplete="funcionCambioDpto();statusDialog2.hide();"
                                                    update="fs4"
                                                    listener="#{bloqueoPredio.onChangeDepartamentos}"
                                                    onstart="statusDialog2.show();" />
                                        </h:selectOneMenu>
                                        <p:message id="bloqueoPrediosBdepartamentoMsg"
                                                   for="bloqueoPrediosBdepartamento" display="icon" />
                                        <p:commandLink id="btnOrdenDepartamentosBP"
                                                       update="btnOrdenDepartamentosBP, bloqueoPrediosBdepartamento"
                                                       title="Ordenar departamentos"
                                                       action="#{bloqueoPredio.cambiarOrdenDepartamentos}"
                                                       ajax="true" immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloqueoPredio.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloqueoPredio.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid>
                                </h:panelGroup>

                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                                   rendered="#{not empty  bloqueoPredio.selectedDepartamentoCod}" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                                   rendered="#{not empty  bloqueoPredio.selectedDepartamentoCod}" />
                                </h:panelGrid>
                                <h:panelGroup>
                                    <h:panelGrid columns="3"
                                                 rendered="#{not empty bloqueoPredio.selectedDepartamentoCod}">
                                        <h:selectOneMenu id="bloqueoPrediosBmunicipio"
                                                         label="Municipio" required="true"
                                                         value="#{bloqueoPredio.selectedMunicipioCod}">
                                            <f:selectItems value="#{bloqueoPredio.municipiosItemList}" />
                                            <p:ajax process="@this"
                                                    oncomplete="funcionCambioMunicipio();statusDialog2.hide();"
                                                    onstart="statusDialog2.show();" />
                                        </h:selectOneMenu>
                                        <p:message id="municipioBPMsg" for="bloqueoPrediosBmunicipio"
                                                   display="icon" />
                                        <p:commandLink id="btnOrdenMunicipiosBP"
                                                       update="btnOrdenMunicipiosBP, bloqueoPrediosBmunicipio"
                                                       title="Ordenar municipios"
                                                       action="#{bloqueoPredio.cambiarOrdenMunicipios}" ajax="true"
                                                       immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloqueoPredio.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloqueoPredio.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid>

                                </h:panelGroup>
                            </h:panelGrid>

                            <h:panelGrid columns="10" cellspacing="5" id="contDeptoMun"
                                         rendered="#{bloqueoPredio.tipoBloqueo1}">

                                <p:spacer height="0" width="7" />
                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Departamento:"
                                                   styleClass="outputLabelStyle" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                                </h:panelGrid>

                                <h:panelGroup>
                                    <h:panelGrid columns="3">
                                        <h:selectOneMenu id="bloqueoPrediosRdepartamento"
                                                         label="Departamento"
                                                         value="#{bloqueoPredio.selectedDepartamentoCod}">
                                            <f:selectItems value="#{bloqueoPredio.departamentosItemList}" />
                                            <p:ajax process="@this"
                                                    oncomplete="funcionCambioDptoRangos();statusDialog2.hide();"
                                                    update="contDeptoMun"
                                                    listener="#{bloqueoPredio.onChangeDepartamentos}"
                                                    onstart="statusDialog2.show();" />
                                        </h:selectOneMenu>
                                        <p:message id="bloqueoPrediosRdepartamentoMsg"
                                                   for="bloqueoPrediosRdepartamento" display="icon" />
                                        <p:commandLink id="btnOrdenDepartamentosR"
                                                       update="btnOrdenDepartamentosR, bloqueoPrediosRdepartamento"
                                                       title="Ordenar departamentos"
                                                       action="#{bloqueoPredio.cambiarOrdenDepartamentos}"
                                                       ajax="true" immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloqueoPredio.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloqueoPredio.departamentosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid>
                                </h:panelGroup>

                                <h:panelGrid columns="2">
                                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                                   rendered="#{not empty  bloqueoPredio.selectedDepartamentoCod}" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                                   rendered="#{not empty  bloqueoPredio.selectedDepartamentoCod}" />
                                </h:panelGrid>
                                <h:panelGroup>
                                    <h:panelGrid columns="3"
                                                 rendered="#{not empty  bloqueoPredio.selectedDepartamentoCod}">
                                        <h:selectOneMenu id="bloqueoPrediosRmunicipio"
                                                         label="Municipio"
                                                         value="#{bloqueoPredio.selectedMunicipioCod}">
                                            <f:selectItems value="#{bloqueoPredio.municipiosItemList}" />
                                            <p:ajax process="@this"
                                                    oncomplete="funcionCambioMunicipioRangos();statusDialog2.hide();"
                                                    onstart="statusDialog2.show();" />
                                        </h:selectOneMenu>
                                        <p:message id="municipioRMsg" for="bloqueoPrediosRmunicipio"
                                                   display="icon" />
                                        <p:commandLink id="btnOrdenMunicipiosR"
                                                       update="btnOrdenMunicipiosR, bloqueoPrediosRmunicipio"
                                                       title="Ordenar municipios"
                                                       action="#{bloqueoPredio.cambiarOrdenMunicipios}" ajax="true"
                                                       immediate="true">
                                            <p:graphicImage
                                                rendered="#{bloqueoPredio.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortCode.png" />
                                            <p:graphicImage
                                                rendered="#{!bloqueoPredio.municipiosOrderedByNombre}"
                                                style="border: none" value="/images/sortText.png" />
                                        </p:commandLink>
                                    </h:panelGrid>

                                </h:panelGroup>
                            </h:panelGrid>

                            <p:fieldset id="fInicial1"
                                        rendered="#{bloqueoPredio.tipoBloqueo0}" style="border: 0px">
                                <h:panelGrid>

                                    <ui:include src="numeroPredialConFormato.xhtml">
                                        <ui:param name="objetoContenedorNumeroPredialParam"
                                                  value="#{bloqueoPredio.filtroCPredioB}" />
                                        <ui:param name="idParam" value="bloqueoPrediosB" />
                                        <ui:param name="formPIdParam" value="bloquearPredioTabView" />
                                    </ui:include>

                                </h:panelGrid>
                            </p:fieldset>

                            <p:fieldset id="fs2" collapsed="#{!bloqueoPredio.tipoBloqueo1}"
                                        style="border:0px">

                                <h:panelGrid id="b01" columns="1"
                                             rendered="#{bloqueoPredio.tipoBloqueo1}" style="border:0px">

                                    <ui:include src="numeroPredialConFormatoBRangos.xhtml">
                                        <ui:param name="objetoContenedorNumeroPredialParam"
                                                  value="#{bloqueoPredio.filtroCPredioB}" />
                                        <ui:param name="objetoContenedorNumeroPredialFParam"
                                                  value="#{bloqueoPredio.filtroFinalCPredioB}" />
                                        <ui:param name="idParam" value="bloqueoPrediosR" />
                                        <ui:param name="formPIdParam" value="bloquearPredioTabView" />
                                    </ui:include>

                                </h:panelGrid>
                            </p:fieldset>

                            <p:separator />

                            <h:panelGrid columns="6">
                                <h:outputText />
                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Fecha inicial: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="4">
                                        <p:spacer width="7" height="0" />
                                        <p:calendar id="fechaInicial"
                                                    value="#{bloqueoPredio.fechaInicial}" navigator="true"
                                                    label="Fecha inicial" pattern="#{general.formatoFechaHora}"
                                                    showOn="both" title="#{general.formatoFechaUsuario}"
                                                    maxdate="#{general.fechaActual}"
                                                    tabindex="0" effect="slideDown" required="true" size="12" 
                                                    requiredMessage="Debe seleccionar una fecha inicial"
                                                    />
                                        <p:message for="fechaInicial" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>
                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="3">
                                        <p:spacer width="1" height="0" />
                                        <h:outputLabel value="Fecha final: "
                                                       styleClass="outputLabelStyle" />
                                        <p:spacer width="1" height="0" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="3">
                                        <p:calendar id="fechaFinal"
                                                    value="#{bloqueoPredio.fechaFinal}" navigator="true"
                                                    label="Fecha final" pattern="#{general.formatoFechaHora}"
                                                    showOn="both" title="#{general.formatoFechaUsuario}"
                                                    mindate="#{general.fechaActual}"
                                                    tabindex="0" effect="slideDown" size="12" />
                                        <p:message for="fechaFinal" display="icon"></p:message>
                                    </h:panelGrid>

                                </h:panelGrid>

                                <h:panelGrid columns="2">                                                                      
                                    <h:panelGrid columns="3">
                                        <p:spacer width="1" height="0" />
                                        <h:outputLabel value="Fecha envio: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>                                                                    
                                    <h:panelGrid columns="3">
                                        <p:calendar id="fechaEnvio"
                                                    value="#{bloqueoPredio.fechaEnvio}" navigator="true"
                                                    label="Falta registrar la fecha de envío, verifique" pattern="#{general.formatoFechaHora}"
                                                    showOn="both" title="#{general.formatoFechaUsuario}"
                                                    maxdate="#{general.fechaActual}"
                                                    tabindex="0" effect="slideDown" size="12" required="true"
                                                    requiredMessage="Debe seleccionar una fecha de envío"/>
                                        <p:message for="fechaEnvio" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>                                                                  

                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Fecha Recibido: "
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="3">
                                        <p:calendar id="fechaRecibido"
                                                    value="#{bloqueoPredio.fechaRecibido}" navigator="true"
                                                    label="La fecha de recibido es obligatoria, por favor registrar" pattern="dd/MM/yyyy" showOn="both"
                                                    title="#{general.formatoFechaUsuario}" tabindex="0"
                                                    effect="slideDown" required="true" size="12"
                                                    requiredMessage="Debe seleccionar una fecha de recibido"
                                                    maxdate="#{general.fechaActual}" />
                                        <p:message for="fechaRecibido" display="icon"></p:message>
                                    </h:panelGrid>
                                </h:panelGrid>

                                <h:panelGrid columns="2">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Número Radicación:"
                                                       styleClass="outputLabelStyle" />
                                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                                    </h:panelGrid>
                                    <p:inputText id="numeroRadicacion" required="true"
                                                 requiredMessage="Debe escribir un número de radicación"
                                                 value="#{bloqueoPredio.numeroRadicado}"
                                                 maxlength="30" style="width:170px;height:14px;">
                                    </p:inputText>
                                </h:panelGrid>

                            </h:panelGrid>
                        </p:fieldset>

                        <p:fieldset id="fs5" rendered="#{bloqueoPredio.tipoBloqueo2}"
                                    style="border:0px">
                            <h:panelGrid columns="1">
                                <h:outputLabel value="Nota: " styleClass="noteLabelStyle" />

                                <h:outputText
                                    value="Utilice la opción de marcación masiva solo si cuenta con un archivo de soporte y un archivo de marcación masivo con la estructura adecuada."
                                    styleClass="noteTextStyle" />

                                <p:spacer width="0" height="10" />
                                <p:commandButton value="#{bloqueoPredio.mensajeCargaArchivo}"
                                                 action="#{bloqueoPredio.inicializarDatosArchivoBloqueoMasivo}"
                                                 id="btnCargarArchivo" onclick="gestionarArchivosP.show();"
                                                 disabled="#{!bloqueoPredio.banderaValidar}"
                                                 icon="ui-icon-document"
                                                 rendered="#{bloqueoPredio.tipoBloqueo2}"
                                                 onstart="statusDialog2.show();"
                                                 oncomplete="statusDialog2.hide();"
                                                 update=":gestionArchivosFormUP, :gestionArchivos2FormUP, :solicitarDocumentosForm" />
                            </h:panelGrid>
                        </p:fieldset>

                        <h:panelGrid columns="1">
                            <p:commandButton value="Validar" id="btnValidarDatos"
                                             action="#{bloqueoPredio.validar}" 
                                             update=":msgsBP, solDocFormUP"
                                             disabled="#{bloqueoPredio.banderaValidar}" ajax="true"
                                             icon="ui-icon-check" rendered="#{!bloqueoPredio.tipoBloqueo2}"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();">
                                <f:setPropertyActionListener
                                    target="#{bloqueoPredio.banderaValidar}" value="true" />
                            </p:commandButton>
                        </h:panelGrid>

                    </p:fieldset>

                    <p:panel style="border: 0px" rendered="#{bloqueoPredio.laBandera}"
                             id="panelValidar">
                        <h:panelGrid columns="1">
                            <p:spacer width="0" height="15" />

                            <p:dataTable var="predioRango" id="tblPredios"
                                         paginatorPosition="bottom" paginator="true" rows="10"
                                         rowKey="#{bloqueoPredio.prediosSeleccionados.id}"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         rowsPerPageTemplate="10,20,30"
                                         value="#{bloqueoPredio.prediosSeleccionados}"
                                         emptyMessage="No hay resultados para esta búsqueda">
                                <f:facet name="header">
                                    Predios a marcar
                                </f:facet>

                                <p:column>
                                    <f:facet name="header">
                                        <h:outputText value="Opciones" />
                                    </f:facet>

                                    <p:commandButton title="Quitar de la lista"
                                                     icon="ui-icon-trash"
                                                     action="#{bloqueoPredio.removerPrediosABloquear}"
                                                     update="@form" process="@this" onstart="statusDialog2.show();"
                                                     oncomplete="statusDialog2.hide();">
                                        <f:setPropertyActionListener value="#{predioRango}"
                                                                     target="#{bloqueoPredio.selectedPredioTemp}" />
                                    </p:commandButton>

                                </p:column>
                                <p:column>
                                    <f:facet name="header">
                                        Número predial
                                    </f:facet>

                                    <p:commandLink 
                                        value="#{predioRango.formatedNumeroPredial}"
                                        process="@this" update=":dpCC:detallesPredioTV"
                                        styleClass="commandLinkStyle"
                                        oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                                        onstart="statusDialog2.show()"
                                        action="#{consultaPredio.cleanAllMB}">
                                        <f:setPropertyActionListener
                                            target="#{consultaPredio.selectedPredioId}"
                                            value="#{predioRango.id}" />
                                    </p:commandLink>

                                </p:column>
                            </p:dataTable>

                            <p:spacer width="0" height="15" />
                            <h:outputText
                                value="Para marcar uno o varios predios debe contar con el archivo de soporte de la marcación "
                                styleClass="outputTextStyle"
                                style="position: relative; left: 10px;" />
                            <p:spacer width="0" height="10" />

                            <p:commandButton value="#{bloqueoPredio.mensajeCargaArchivo}"
                                             label="Cargar archivo o documento"
                                             action="#{bloqueoPredio.inicializarDatosArchivoBloqueo}"
                                             id="btnCargarArchivo2" onclick="gestionarArchivoP.show()"
                                             disabled="#{!bloqueoPredio.banderaValidar}"
                                             icon="ui-icon-document"
                                             rendered="#{!bloqueoPredio.tipoBloqueo2 and not empty bloqueoPredio.prediosSeleccionados}"
                                             onstart="statusDialog2.show();"
                                             update=":solicitarDocumentosForm2"
                                             oncomplete="statusDialog2.hide();" />
                        </h:panelGrid>
                    </p:panel>
                </h:form>
            </p:tab>

        </p:tabView>

        <h:form>
            <p:spacer height="0" width="30" />

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                 action="#{bloqueoPredio.cerrar}" ajax="false" immediate="true"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <p:dialog header="Gestionar archivos" widgetVar="gestionarArchivosP"
                  modal="true" appendToBody="true" resizable="false" position="center"
                  height="550" width="600">
            <p:ajax event="close" listener="#{bloqueoPredio.cerrarEsc}"
                    update=":msgsDP2" />
            <ui:include src="gestionArchivos.xhtml" />
        </p:dialog>

        <p:dialog header="Gestionar archivo" widgetVar="gestionarArchivoP"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="500" width="650">
            <p:ajax event="close" listener="#{bloqueoPredio.cerrarEsc}"
                    update=":msgsDP22" />
            <ui:include src="gestionAPredio.xhtml" />
        </p:dialog>

        <misc:confirmationDialogWithCloseDecisionCC id="mensajeConfirmacion"
                                                    confirmMessage="#{bloqueoPredio}" confirmUpdate="msgInfoFis"
                                                    confirmAction="#{bloqueoPredio.terminarYBloquearOtroP}"
                                                    noAction="#{bloqueoPredio.terminar}"
                                                    confirmDialogWV="guardarPredioBloqueoWV" ajaxBehavior="false" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmMessage="#{bloqueoPredio}" confirmUpdate="msgInfoFis"
                                           confirmAction="#{bloqueoPredio.terminarYBloquearOtroP}"
                                           noAction="#{bloqueoPredio.terminar}" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="false"
                                           selectedDocumentAtt="#{bloqueoPredio.reporteBloqueoMasivoPredios.urlWebReporte}"
                                           doctypeAtt="#{bloqueoPredio.reporteBloqueoMasivoPredios.tipoMimeReporte}"
                                           headerLabel="Resumen de marcación masivo de predios" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docVDocSoporte"
                                           confirmMessage="#{previsualizacionDocumento}" confirmUpdate=":msgsBP"
                                           confirmAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           confirmDialogWV="docViewerDSWV" ajaxBehavior="true"
                                           noRendered="false" yesLabel="Aceptar"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}"
                                           headerLabel="Documento soporte de marcación de predio(s)" />

    </ui:define>
</ui:composition>